Skip to content

Update current user

PATCH
/api/v1/users/me
curl --request PATCH \
--url https://osctrl.net/api/v1/users/me \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "email": "example", "fullname": "example" }'

Updates the current user’s profile fields.

Request body

Media typeapplication/json
object
email
string
fullname
string
Examplegenerated
{
"email": "example",
"fullname": "example"
}

OK

Media typeapplication/json
object
admin
boolean
email
string
fullname
string
last_access
string
permissions
object
key
additional properties
object
admin
boolean
carve
boolean
query
boolean
user
boolean
service
boolean
token_expire
string
username
string
uuid
string
Examplegenerated
{
"admin": true,
"email": "example",
"fullname": "example",
"last_access": "example",
"permissions": {
"additionalProperty": {
"admin": true,
"carve": true,
"query": true,
"user": true
}
},
"service": true,
"token_expire": "example",
"username": "example",
"uuid": "example"
}

Bad request

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Unauthorized

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Forbidden

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Not found

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Conflict

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Too many requests

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Internal server error

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Service unavailable

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}